ActivePViewport Example

Using Programming Languages other than VBA

Sub Example_ActivePViewport()
   
	Dim newPViewport As AcadPViewport
	Dim centerPoint(0 To 2) As Double
	Dim height As Double
	Dim width As Double
	height = 5#
	width = 5#
	centerPoint(0) = 5#: centerPoint(1) = 5#: centerPoint(2) = 0#

	' Create a paper space Viewport object
	ThisDrawing.ActiveSpace = acPaperSpace
	Set newPViewport = ThisDrawing.PaperSpace.AddPViewport(centerPoint, width, height)
	ZoomAll
	newPViewport.DISPLAY (True)

	' Before making a paper space Viewport active,
	' the mspace property needs to be True
	ThisDrawing.mspace = True
	ThisDrawing.ActivePViewport = newPViewport
End Sub

 

   Comments? 
500 Internal Server Error

Internal Server Error

The server encountered an internal error or misconfiguration and was unable to complete your request.

Please contact the server administrator at webmaster@entercad.forsenergy.ru to inform them of the time this error occurred, and the actions you performed just before this error.

More information about this error may be available in the server error log.

Additionally, a 500 Internal Server Error error was encountered while trying to use an ErrorDocument to handle the request.